<p>sale- works!</p>
<h2> Sales </h2>

<table class="table table-light" >
    <thead class="thead-light">
        <tr>
            <th>Id</th>
            <th>Name</th>
            <th>Document</th>
            <th>Email</th>
            <th>PhoneNumber</th>
            <th>DocumentType</th>
            <th>Select</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of clientsList">
            <td>{{item.id}}</td>
            <td>{{item.name}}</td>
            <td>{{item.document}}</td>
            <td>{{item.email}}</td>
            <td>{{item.phoneNumber}}</td>
            <td>{{item.documentType}}</td>
            <td>

                <button (click)= "addClient(item)"> Seleccionar </button>

            </td>
        </tr>
    </tbody>
</table>
<br/>
<table class="table table-light" >
    <thead class="thead-light">
        <tr>
            <th>Id</th>
            <th>Model</th>
            <th>Price</th>
            <th>Serial</th>
            <th>Comprar</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of bikesList">
            <td>{{item.id}}</td>
            <td>{{item.model}}</td>
            <td>{{item.price}}</td>
            <td>{{item.serial}}</td>
            <td>

                <button (click)= "buyItem(item)"> Comprar </button>

            </td>
        </tr>
    </tbody>
</table>

<br/>

<h2>DATOS DE LA COMPRA</h2>
<p>--------------------------------- C L I E N T ---------------------------------</p>
<table class="table table-light" class="client">
    <thead class="thead-light">
        <tr>

            <th>Name</th>
            <th>Document</th>
            <th>Email</th>
            <th>PhoneNumber</th>
            <th>DocumentType</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of clientList">
            <td>{{item.name}}</td>
            <td>{{item.document}}</td>
            <td>{{item.email}}</td>
            <td>{{item.phoneNumber}}</td>
            <td>{{item.documentType}}</td>
        
        </tr>
    </tbody>
  
</table>
<br/>
<p>--------------------------------- B I K E ---------------------------------</p>
<table class="table table-light" class="bike">
    <thead class="thead-light">
        <tr>
            <th>Serial</th>
            <th>Model</th>
            <th>Price</th>
            <th>Client Id</th>
            <th>Client Name</th>
        
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let item of salesList">
            <td>{{item.bike.serial}}</td>
            <td>{{item.bike.model}}</td>
            <td>{{item.bike.price}}</td>
            <td>{{item.clientId}}</td>
            <td>{{item.clientName}}</td>
            

        </tr>

        
    </tbody>
</table>








<br/>
<p>--------------------------------- S U M A ---------------------------------</p>

<p> $ {{ total }}</p>


